<!DOCTYPE html>
<html lang="ko">
<head>
<%- include('../_helpers/html_header') %>
<title>BNK 부산은행 썸뱅크_전계좌조회</title>
<script>
function doDelete(delUrl) {
	if(!confirm('Are you really delete it?')) return;
	location.href = delUrl;
}
</script>
</head>

<body>
    <!--s: header : include-->
    <header>
        <div class="header-wrap">
            <h1 class="logo">BNK 부산은행</h1>
            <button type="button" class="btn-allmenu">전체메뉴</button>
        </div>
    </header>
    <!--//e: header -->
    
    <!--s: content -->
    <div id="contents">
        
        <!-- s:acc-con -->
        <div class="acc-con">
            <!-- s:acc-list -->
            <div class="acc-list">
				
				<%
				var arr_order = data_order.split("|");
				arr_order.forEach(function(itm,idx)
				{
					if(data[itm].TOTAL_CNT>0)
					{
				%>
                <!-- s:acc-tit -->
                <div class="acc-tit <%= data[itm].TITLE_COLOR %>"> <!-- 색 지정 클래스 : .blue, .green (지정안할 시 default 빨간색) -->
                    <dl>
                        <dt><%= data[itm].TITLE%><span class="count"><%= data[itm].TOTAL_CNT%></span></dt>
                        <dd><span><%= data[itm].TOTAL_MONEY%></span>원</dd>
                    </dl>
                </div>
        
                <!-- s:list-card -->
                <div class="list-card">
					<% 
						data[itm].DATA_LIST2.forEach(function (item,index){
							
							div_class = "";
							if(index==0 && data[itm].BTN_YN=="Y")
							{
								div_class = "w-btn";
							}
					%>
                    <!-- s:card : 예금/신탁의 "이체, ATM출금" 버튼이 있는 경우 -->
                    <div class="card <%= div_class%>">
                        <!-- s:info -->
                        <div class="info" type="<%= itm%>" account_no="<%= item.view_data6%>" product_cd="<%= item.view_data7%>" product_gb="<%= item.view_data8%>">
                            <a href="#"  class="top">
                                <span><%= item.view_data1 %></span>
                                <span class="acc-num <%= (item.view_data2 ? "" : "hidden" )%>"><%= item.view_data2 %></span>
                                <span class="acc-num <%= (item.view_data3 ? "" : "hidden" )%>">가입일 : <%= item.view_data3 %></span>
                            </a>
                            <div class="balance">
								<%
									if(item.view_data5)
									{
								%>
                                <p class="rate color-point"><span><%= item.view_data5 %></span>%</p>
								<%
									}
								%>
                                <p><span><%= item.view_data4 %></span>원</p>
                            </div>
						</div>
						<%
							if(index==0 && data[itm].BTN_YN=="Y")
							{
						%>
                        <!-- s:btns-wrap -->
                        <div class="btns-wrap">
                            <a href="/bnk/transfer" id="transfer">이체</a>
                            <a href="#">ATM출금</a>
                        </div>
                        <button type="button" class="btn-detail"><span class="blind">계좌 상세보기</span></button>
						<%
							}
						%>
                    </div>
					<%
						});
					%>
                </div>
                <!-- //e:list-card -->
				<%
					}
				});
				%>

            </div>
        </div>
        <!-- //e:acc-con -->
    </div>
    <!--//e: content -->

    <!--s: footer : include-->
    <footer>
        <a href="#contents" class="btn-pagetop">Top</a>
        <div class="footer-bar">
            <ul>
                <li class="btn_fb_1 active"><button type="button">뱅킹</button></li>
                <li class="btn_fb_2"><button type="button">상품몰</button></li>
                <li class="btn_fb_3"><button type="button">웰스타로보B</button></li>
                <li class="btn_fb_4"><button type="button">썸패스</button></li>
                <li class="btn_fb_5"><button type="button">썸뱅크</button></li>
            </ul>
        </div>
    </footer>
	<!--//e: footer -->
	
	<form id="list_detail-form" action='/bnk/account_detail' method='post'>
		<input type='hidden' id='account_no' name='account_no' />
		<input type='hidden' id='product_cd' name='product_cd' />
		<input type='hidden' id='product_gb' name='product_gb' />
	</form>

	
	<form id="transfer-form" action='/bnk/transfer' method='post'>
	</form>

	<script>
		$( function() {

			$(".info").on("click", function(){
				
				var account_no=$(this).attr("account_no");
				var product_cd=$(this).attr("product_cd");
				var product_gb=$(this).attr("product_gb");

				$("#account_no").val(account_no);
				$("#product_cd").val(product_cd);
				$("#product_gb").val(product_gb);

				$("#list_detail-form").attr("action", "/bnk/account_detail").submit();
            });
            
            $("#transfer").on("click", function(){
				//$("#transfer-form").attr("action", "/bnk/transfer1").submit();
            });
		})
	</script>
	
</body>

</html>
